#
# spec file for package wingpanel-indicator-keyboard
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.wingpanel.keyboard
Name:           wingpanel-indicator-keyboard
Version:        2.4.2
Release:        1.2
Summary:        Wingpanel Keyboard Indicator
License:        LGPL-2.1-or-later
URL:            https://github.com/elementary/wingpanel-indicator-keyboard
Source:         %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(wingpanel)

%description
A keyboard indicator for Wingpanel.

%lang_package

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
%find_lang keyboard-indicator
%fdupes %{buildroot}

%files
%dir %{_libdir}/wingpanel
%{_libdir}/wingpanel/libkeyboard.so
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/metainfo/%{appid}.metainfo.xml

%files lang -f keyboard-indicator.lang

%changelog
* Thu Aug 22 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 2.4.2:
  * Updated translations
- update to 2.4.1:
  * Updated translations
- update to 2.4.0:
  * Show IBus input methods
  * Show tooltip on hover
  * Updated translations
- update to 2.3.0:
  * Optionally show CapsLock and Numlock indicators
  * Updated translations
- update to 2.2.1:
  * Updated translations
- switch url to github, as we don't want to link to a different OS
* Mon Nov 25 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.2.0:
  * Add release action (#59)
  * Add Lint to CI (#51)
  * LayoutsManager: Add spaces between math operators
  * run installation in CI (#52)
  * Build with GitHub CI (#50)
  * Delete CODE_OF_CONDUCT.md
  * build: fix install path for wingpanel indicator (#48)
  * Add keyboard icon CSS (#47)
* Tue Mar 12 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.2:
  * Travis: update docker containers
* Thu Nov  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Add regex for filtering provided libraries
* Wed Oct 17 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.1:
  * Meson: Use GLib preset for l10n
  * Misc AppInfo launch cleanup (#41)
* Mon Jun 11 2018 avvissu@yandex.by
- Update to 2.1.0:
  * Set visibility in get_display_widget rather than in
    get_widget (#40)
  * Fix deprecated add_with_viewport (#38)
  * Remove CMake (#33)
  * Open correct variant with "Show keyboard layout" option (#30)
  * Use Gtk.ModelButton (#31)
  * Add Meson build (#27)
* Sat Jun  9 2018 avvissu@yandex.by
- Switch to github
- Switch to meson
- Spec file cleanup
* Sat Jun  3 2017 avvissu@yandex.by
- Update to 2.0.2:
  * Use settings URL scheme (#11)
  * Create README.md (#7)
  * Simplify show_keyboard_map method using alyouts.get_current ()
  * Add Show Keyboard Map Feature
  * Improved code based on Santiago's comments
  * Use 'evdev.xml' instead of 'evdev.lst'
- Add pkgconfig(libxml-2.0)
* Fri Dec  9 2016 avvissu@yandex.by
- Update to 2.0.1
* Mon Sep 19 2016 avvissu@yandex.by
- Update to 2.0
- Add fdupes
- spec file cleanup
* Mon Sep 21 2015 and.november@opensuse.org
- initial package (version 0.1 unstable bzr) for openSUSE
